SSH-FACTS(1)

NAME
ssh-facts - get some facts about the remote system

SYNOPSIS
ssh-facts [user@]hostname

DESCRIPTION
get some facts about the remote system

For further processing of the data
you can use standard shell tools like awk, grep, sed
or convert it to JSON with jo and then feed it to jq

EXAMPLES

ssh-facts 127.0.0.1

ssh-facts 127.0.0.1 | grep ^OS_VERSION | awk -F'=' '{ print $2 }'

ssh-facts 127.0.0.1 | jo -p

ssh-facts 127.0.0.1 | jo | jq

ssh-facts 127.0.0.1 | jo | jq .OS_VERSION